Loading...
Searching...
No Matches
caf::config_option::meta_state Struct Reference

Custom vtable-like struct for delegating to type-specific functions and storing type-specific information shared by several config options. More...

`#include <config_option.hpp>`

## Public Attributes

error(* | check )(const config_value &)
| Checks whether a value matches the option's type.
void(* | store )(void *, const config_value &)
| Stores a value in the given location.
config_value(* | get )(const void *)
| Tries to extract a value from the given location.
expected< config_value >(* | parse )(void *, string_view)
| Tries to parse an input string.
std::string | type_name
| Human-readable name of the option's type.

## Detailed Description

Custom vtable-like struct for delegating to type-specific functions and storing type-specific information shared by several config options.

## Member Data Documentation

## get

config_value(* caf::config_option::meta_state::get) (const void *)

Tries to extract a value from the given location.

Exists for backward compatibility only and will get removed with CAF 0.17.

## parse

expected< config_value >(* caf::config_option::meta_state::parse) (void *, string_view)

Tries to parse an input string.

Stores and returns the parsed value on success, returns an error otherwise.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/config_option.hpp